package com.fs.fssync.sink.impl;

import com.fs.fssync.sink.AbstractCdcSinkStrategy;
import com.fs.store.domain.FsStoreProduct;
import com.fs.store.domain.FsStoreProductPackage;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Component;

import java.io.Serializable;
@Slf4j
@Component
public class FsStoreProductPackageSinkStrategy extends AbstractCdcSinkStrategy<FsStoreProductPackage> implements Serializable {
    @Override
    public boolean canHandle(String table) {
        return "fs_store_product_package".equals(table);
    }

    @Override
    public Class<FsStoreProductPackage> getEntityClass() {
        return FsStoreProductPackage.class;
    }

    @Override
    public String getKeyPrefix() {
        return "fs:store:product:package:";
    }
}
